# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.feature.maven.FeatureConstants
Modifier and Type
Constant Field
Value
`public static final String`
`PACKAGING_FEATURE`
`"slingosgifeature"`
org.apache.sling.feature.maven.FeatureProjectConfig
Modifier and Type
Constant Field
Value
`public static final String`
`CFG_DEFAULT_METADATA`
`"defaultMetadata"`
`public static final String`
`CFG_ENABLE_PROJ_VARS`
`"enableProjectVariableReplacement"`
`public static final String`
`CFG_FEATURES`
`"features"`
`public static final String`
`CFG_FEATURES_EXCLUDES`
`"featuresExcludes"`
`public static final String`
`CFG_FEATURES_INCLUDES`
`"featuresIncludes"`
`public static final String`
`CFG_JAR_START_ORDER`
`"jarStartOrder"`
`public static final String`
`CFG_LEGACY_REPLACE`
`"enableLegacyVariableReplacement"`
`public static final String`
`CFG_REPLACE_PROP_VARS`
`"replacePropertyVariables"`
`public static final String`
`CFG_SKIP_ADD_FEATURE_DEPENDENCIES`
`"skipAddFeatureDependencies"`
`public static final String`
`CFG_SKIP_ADD_JAR_TO_FEATURE`
`"skipAddJarToFeature"`
`public static final String`
`CFG_SKIP_ADD_JAR_TO_TEST_FEATURE`
`"skipAddJarToTestFeature"`
`public static final String`
`CFG_SKIP_ADD_TEST_FEATURE_DEPENDENCIES`
`"skipAddTestFeatureDependencies"`
`public static final String`
`CFG_TEST_FEATURES`
`"testFeatures"`
`public static final String`
`CFG_TEST_FEATURES_EXCLUDES`
`"testFeaturesExcludes"`
`public static final String`
`CFG_TEST_FEATURES_INCLUDES`
`"testFeaturesIncludes"`
`public static final String`
`CFG_VALIDATE_FEATURES`
`"validateFeatures"`
`public static final String`
`DEFAULT_FEATURE_DIR`
`"src/main/features"`
`public static final String`
`DEFAULT_FEATURE_INCLUDES`
`"**/*.json"`
`public static final String`
`DEFAULT_TEST_FEATURE_DIR`
`"src/test/features"`

org.apache.sling.feature.maven.mojos.Archive
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_EXTENSION`
`"far"`
org.apache.sling.feature.maven.mojos.AttachFeatureArchivesMojo
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_BUILT_BY`
`"Built-By"`
`public static final String`
`ATTR_CREATED_BY`
`"Created-By"`
`public static final String`
`ATTR_IMPLEMENTATION_BUILD`
`"Implementation-Build"`
`public static final String`
`ATTR_IMPLEMENTATION_TITLE`
`"Implementation-Title"`
`public static final String`
`ATTR_IMPLEMENTATION_VENDOR`
`"Implementation-Vendor"`
`public static final String`
`ATTR_IMPLEMENTATION_VENDOR_ID`
`"Implementation-Vendor-Id"`
`public static final String`
`ATTR_IMPLEMENTATION_VERSION`
`"Implementation-Version"`
`public static final String`
`ATTR_SPECIFICATION_TITLE`
`"Specification-Title"`
`public static final String`
`ATTR_SPECIFICATION_VENDOR`
`"Specification-Vendor"`
`public static final String`
`ATTR_SPECIFICATION_VERSION`
`"Specification-Version"`
org.apache.sling.feature.maven.mojos.FeatureLauncherMojo
Modifier and Type
Constant Field
Value
`public static final String`
`CFG_ARTIFACT_CLASH_OVERRIDES`
`"artifactClashOverrides"`
`public static final String`
`CFG_CACHE_DIRECTORY`
`"cacheDirectory"`
`public static final String`
`CFG_EXTENSION_CONFIGURATIONS`
`"extensionConfigurations"`
`public static final String`
`CFG_FEATURE_ARCHIVE_CLASSIFIERS`
`"featureArchiveClassifiers"`
`public static final String`
`CFG_FEATURE_ARCHIVE_FILES`
`"featureArchiveFiles"`
`public static final String`
`CFG_FEATURE_ARCHIVE_IDS`
`"featureArchiveIds"`
`public static final String`
`CFG_FRAMEWORK_ARTIFACTS`
`"frameworkArtifacts"`
`public static final String`
`CFG_FRAMEWORK_PROPERTIES`
`"frameworkProperties"`
`public static final String`
`CFG_FRAMEWORK_VERSION`
`"frameworkVersion"`
`public static final String`
`CFG_HOME_DIRECTORY`
`"homeDirectory"`
`public static final String`
`CFG_REPOSITORY_URL`
`"frameworkRepositoryUrl"`
`public static final String`
`CFG_VARIABLE_VALUES`
`"variableValues"`
`public static final String`
`CFG_VERBOSE`
`"verbose"`
org.apache.sling.feature.maven.mojos.IncludeArtifactMojo
Modifier and Type
Constant Field
Value
`public static final String`
`CFG_CLASSIFIER`
`"includeArtifactClassifier"`
`public static final String`
`CFG_INCLUDE_DEPENDENCIES_WITH_SCOPE`
`"includeDependenciesWithScope"`
`public static final String`
`CFG_START_ORDER`
`"bundleStartOrder"`

org.apache.sling.feature.maven.mojos.apis.ApisUtil
Modifier and Type
Constant Field
Value
`public static final String`
`API_IDS`
`"api-ids"`
`public static final String`
`IGNORE_PACKAGES`
`"apis-ignore"`
`public static final String`
`JAVADOC_CLASSPATH`
`"javadoc-classpath"`
`public static final String`
`JAVADOC_LINKS`
`"javadoc-links"`
`public static final String`
`SCM_CLASSIFIER`
`"source-classifier"`
`public static final String`
`SCM_ENCODING`
`"scm-encoding"`
`public static final String`
`SCM_IDS`
`"source-ids"`
`public static final String`
`SCM_LOCATION`
`"scm-location"`
`public static final String`
`SCM_TAG`
`"scm-tag"`